#include <iostream>
#include <assert.h>
#include "bitmap.h"
#include <string>
#include "ezwin.h"
#include "position.h"

// Define  window
SimpleWindow Chess("Chess", 15.0, 15.0, Position(0.0, 0.0));

int ApiMain()//main function
{ Chess.Open();
  assert(Chess.GetStatus() == WindowOpen);


	BitMap piece(Chess);
	piece.Load("0a.xpm");
	assert(piece.GetStatus()==BitMapOkay);


Chess.RenderText(Position(0,0),Position(3,3),"Please select a valid square to move to; You can even reselect the same square to replace the piece:",Cyan,Yellow);

}


int ApiEnd(){
	Chess.Close();
	return 0;
}
