#include <assert.h>
#include "bitmap.h"

// Define  window
SimpleWindow Chess("Chess", 40.0, 30.0, Position(0.0, 0.0));

//Defining the white pawn
BitMap wpawn1(Chess);
BitMap wpawn2(Chess);
BitMap wpawn3(Chess);
BitMap wpawn4(Chess);
BitMap wpawn5(Chess);
BitMap wpawn6(Chess);
BitMap wpawn7(Chess);
BitMap wpawn8(Chess);

//Defining the black pawns
BitMap bpawn1(Chess);
BitMap bpawn2(Chess);
BitMap bpawn3(Chess);
BitMap bpawn4(Chess);
BitMap bpawn5(Chess);
BitMap bpawn6(Chess);
BitMap bpawn7(Chess);
BitMap bpawn8(Chess);

//Defining white rooks
BitMap wrook1(Chess);
BitMap wrook2(Chess);

//Defining black rooks
BitMap brook1(Chess);
BitMap brook2(Chess);

//Defining white knights
BitMap wknight1(Chess);
BitMap wknight2(Chess);

//Defining black knights
BitMap bknight1(Chess);
BitMap bknight2(Chess);

//Defining white bishops
BitMap wbishop1(Chess);
BitMap wbishop2(Chess);

//Defining black bishops
BitMap bbishop1(Chess);
BitMap bbishop2(Chess);

//Defining queens
BitMap wqueen(Chess);
BitMap bqueen(Chess);

//Defining kings
BitMap wking(Chess);
BitMap bking(Chess);
  

int ApiMain() {
	// Open the windows
	Chess.Open();
	assert(Chess.GetStatus() == WindowOpen);
	
	// defining brook1
	brook1.Load("brook1.xpm");
	assert(brook1.GetStatus()==BitMapOkay);
	brook1.SetPosition(Position(0.0,0.0));
	brook1.Draw();
	
	// defining bnight1
	bknight1.Load("bknight1.xpm");
	assert(bknight1.GetStatus()==BitMapOkay);
        bknight1.SetPosition(Position(1.0*brook1.GetWidth(),0.0));
	bknight1.Draw(); 
	
	// defining bbishop1
	bbishop1.Load("bbishop1.xpm");
	assert(bbishop1.GetStatus()==BitMapOkay);
 	bbishop1.SetPosition(Position(2.0*brook1.GetWidth(),0.0));
	bbishop1.Draw();
	
	// defining bqueen
	bqueen.Load("bqueen.xpm");
	assert(bqueen.GetStatus()==BitMapOkay);
	bqueen.SetPosition(Position(3.0*brook1.GetWidth(),0.0));
	bqueen.Draw();
	
	// defining bking
	bking.Load("bking.xpm");
	assert(bking.GetStatus()==BitMapOkay);
	bking.SetPosition(Position(4.0*brook1.GetWidth(),0.0));
	bking.Draw();
	
	// defining bbishop2
	bbishop2.Load("bbishop2.xpm");
	assert(bbishop2.GetStatus()==BitMapOkay);
 	bbishop2.SetPosition(Position(5.0*brook1.GetWidth(),0.0));
	bbishop2.Draw();
	
	//defining bknight2
	bknight2.Load("bknight2.xpm");
	assert(bknight2.GetStatus()==BitMapOkay);
	bknight2.SetPosition(Position(6.0*brook1.GetWidth(),0.0));
	bknight2.Draw();
	
	//defining brook2
	brook2.Load("brook2.xpm");
	assert(brook2.GetStatus()==BitMapOkay);
	brook2.SetPosition(Position(7.0*brook1.GetWidth(),0.0));
	brook2.Draw();
	
	// defining blackpawn1
	bpawn1.Load("bpawn1.xpm");
	assert(bpawn1.GetStatus()==BitMapOkay);
	bpawn1.SetPosition(Position(0.0,brook1.GetHeight()));
	bpawn1.Draw();
	
	// defining blackpawn2
	bpawn2.Load("bpawn2.xpm");
	assert(bpawn2.GetStatus()==BitMapOkay);
	bpawn2.SetPosition(Position(1.0*brook1.GetWidth(),1.0*brook1.GetHeight()));
	bpawn2.Draw();
	
	// defining blackpawn3
	bpawn3.Load("bpawn3.xpm");
	assert(bpawn3.GetStatus()==BitMapOkay);
	bpawn3.SetPosition(Position(2.0*brook1.GetWidth(),brook1.GetHeight()));
	bpawn3.Draw();
	
	// defining blackpawn4
	bpawn4.Load("bpawn4.xpm");
	assert(bpawn4.GetStatus()==BitMapOkay);
	bpawn4.SetPosition(Position(3.0*brook1.GetWidth(),brook1.GetHeight()));
	bpawn4.Draw();
	
	// defining blackpawn5
	bpawn5.Load("bpawn5.xpm");
	assert(bpawn5.GetStatus()==BitMapOkay);
	bpawn5.SetPosition(Position(4.0*brook1.GetWidth(),brook1.GetHeight()));
	bpawn5.Draw();
	
	// defining blackpawn6
	bpawn6.Load("bpawn6.xpm");
	assert(bpawn6.GetStatus()==BitMapOkay);
	bpawn6.SetPosition(Position(5.0*brook1.GetWidth(),brook1.GetHeight()));
	bpawn6.Draw();

	// defining blackpawn7
	bpawn7.Load("bpawn7.xpm");
	assert(bpawn7.GetStatus()==BitMapOkay);
	bpawn7.SetPosition(Position(6.0*brook1.GetWidth(),brook1.GetHeight()));
	bpawn7.Draw();
	
	// defining blackpawn8
	bpawn8.Load("bpawn8.xpm");
	assert(bpawn8.GetStatus()==BitMapOkay);
	bpawn8.SetPosition(Position(7.0*brook1.GetWidth(),brook1.GetHeight()));
	bpawn8.Draw();
	return 0;
	}
	int ApiEnd(){
	Chess.Close();
	return 0;
	}
