#include <iostream>
#include <assert.h>
#include "bitmap.h"
#include <string>
#include "ezwin.h"
#include "position.h"


// Define  window
SimpleWindow Chess("Chess", 10.0, 10.0, Position(0.0, 0.0));

//Defining the white pawn
void initialize(char chessboard[8][8],char state[8][8])//function to set the initial state of the chessboard
{
	chessboard[0][0]=chessboard[0][7]='r';
	chessboard[7][0]=chessboard[7][7]='R';
	chessboard[0][1]=chessboard[0][6]='n';
	chessboard[7][1]=chessboard[7][6]='N';
	chessboard[0][2]=chessboard[0][5]='b';
	chessboard[7][2]=chessboard[7][5]='B';
	chessboard[0][3]='q';
	chessboard[7][3]='Q';
	chessboard[0][4]='k';
	chessboard[7][4]='K';
	for(int i=0;i<8;i++)
	{
		chessboard[1][i]='p';
		chessboard[6][i]='P';
		}
	for(int i=2;i<=5;i++)
	for(int j=0;j<8;j++)
	chessboard[i][j]='0';
	for(int i=0;i<8;i++)
	for(int j=0;j<8;j++)
	state[i][j]='o';
	return;
}

void display(char chessboard[8][8],char state[8][8]){
	string s;
	int i,j;
	
		for(i=0;i<8;i++)
		{	for(j=0;j<8;j++)
			s=chessboard[i][j];
			if(state[i][j]=='a')
			s+='a';
			else if((i+j)%2==0)
			s+='w';
			else
			s+='b';
			s+=".xpm";
			BitMap piece(Chess);
			piece.Load("s");
	 		assert(piece.GetStatus()==BitMapOkay);
			piece.SetPosition(Position(i*3.0,j*3.0));
			piece.Draw();
			
		}
		}




int ApiMain(){
	
	int i,j;
	char chessboard[8][8],state[8][8];
	initialize(chessboard,state);
	Chess.Open();
	display(chessboard,state);
	return 0;
	}




int ApiEnd(){
	Chess.Close();
	return 0;
}
