#include<iostream>
#include<time.h>
#include<cstdlib>
#include<stdio.h>
#include "ezwin.h"
#include "assert.h"
#include "bitmap.h"
#include "position.h"


SimpleWindow mines("Minesweeper", 15.0, 15.0, Position(1.0, 1.0));
BitMap minit[9][9](mines);
BitMap mfinal[9][9](mines);
Position photo,mphoto;

enum tileinit{ init, final };
tileinit tile[9][9];

class minesweeper
{
private:
	int mine[9][9],count,i,j,p,q,x,y,z;
	char nomine[9][9], me;

public:
	Position mposi;
	minesweeper()
	{	
		i=0;j=0;p=0;q=0;count=0,me='a';
		for(i=0; i<9; i++)
		{	for(j=0; j<9; j++)
			{	mine[i][j]=-1;
				nomine[i][j]='-';}
		}
	}
	void mineinit();
	void display();
	int entry();
	void recur(int, int, int, int);
};



void minesweeper::mineinit(){
	int value,rem,quo;
	srand(time(0));
	for(i=0 ; i<10 ; i++)
	{
		value=rand()%81;
		rem=value%9;
		quo=value/9;
		mine[quo][rem]=9;
	}
	for(i=0 ; i<9 ; i++)
	{	for(j=0 ; j<9 ; j++)
		{
			if(mine[i][j]!=9)
			{
				for(p=i-1 ; p<i+2 ; p++)
				{ 
					for(q=j-1 ; q<j+2 ; q++)
					{
						if(p<0 || p>8 || q<0 || q>8)
						{continue;}
						if(mine[p][q]==9)
						{count++;}
					}
				}
				mine[i][j]=count;
			}
			count=0;
		}
	}
	mines.Open();
	for(i= 0 ; i<9 ; i++)
	{
		for(j = 0 ; j<9 ; j++)
		{
			if(mine[i][j]==0)
			{minit[i][j].Load("mine0.bmp");}
			else if(mine[i][j]==1)
			{minit[i][j].Load("mine1.bmp");}
			else if(mine[i][j]==2)
			{minit[i][j].Load("mine2.bmp");}
			else if(mine[i][j]==3)
			{minit[i][j].Load("mine3.bmp");}
			else if(mine[i][j]==4)
			{minit[i][j].Load("mine4.bmp");}
			else if(mine[i][j]==5)
			{minit[i][j].Load("mine5.bmp");}
			else if(mine[i][j]==6)
			{minit[i][j].Load("mine6.bmp");}
			else if(mine[i][j]==7)
			{minit[i][j].Load("mine7.bmp");}
			else if(mine[i][j]==8)
			{minit[i][j].Load("mine8.bmp");}
			else if(mine[i][j]==9)
			{minit[i][j].Load("mine.bmp");}
		}
	}	
	
	
	
}

void minesweeper::display()
{
	
	
	
		
}
void minesweeper::recur(int a, int b, int u, int v)
{
	
	for(u=a-1 ; u<a+2 ; u++)
	{
		for(v=b-1 ; v<b+2 ; v++)
		{
			if(u<0 || u>8 || v<0 || v>8 || nomine[u][v]!='-')
			{	
				continue;
				}		
			nomine[u][v]=mine[u][v]+48;
			count++;
			
			if(nomine[u][v]=='0')
			{nomine[u][v]=' ';}
			
			if(mine[u][v]==0)
			{
								
							
				recur(u,v,0,0);
				
			}
		}
	}
	
}
int minesweeper::entry()
{
	
	cout<<endl;
				
		cin>>x>>y;
		if(nomine[x][y]=='-')
		{
		cout<<"Enter 1 for no mine and 0 for mine in that position";
		cin>>z;
		if(z==0)
		{
			nomine[x][y]='x';
			count++;
		}
		else if(z==1){
			
			if(mine[x][y]==9)
			{cout<<"Sorry, game over"<<endl<<endl;
				exit (0);}
			else if(mine[x][y]==0)
			{
				nomine[x][y]=' ';
				count++;				
				
				recur(x,y,0,0);
				
			}
					
			else
			{
				
				nomine[x][y]=mine[x][y]+48;
				count++;
			}
		}
		else
		{cout<<"Enter valid value for type of mine";
		}
		}
		else if(nomine[x][y]=='x')
		{
			nomine[x][y]='-';
			count--;
		}
		else
		{return -1;}		
	return (count);
}

int Apimain()
{
	time_t start, end;
	
	double value;
	minesweeper ms;
	ms.mineinit();
	time(&start);
	do
	{
		system("clear");		
		ms.display();
		value=ms.entry();
		
	}while(value<81);
	time(&end);
	value=difftime(end, start);
	cout<<"COngratulations you won"<<endl<<"Your score is "<<value<<endl<<endl;
return 0;
}

