//filename chess.cpp

#include <iostream>
#include <assert.h>
#include "bitmap.h"
#include <string>
#include "ezwin.h"
#include "position.h"
using namespace std;
//Define Input Variables
  char chessboard[8][8];
  char ch='w';
  int a,b,c,d,done1,isValid1,isValid2;//a stands for row and b stands for column, c and d stand for new row and column respectively 
  char state[8][8];
  char chance2='w';
// Define  window
SimpleWindow Chess("Chess", 14.65, 16.85, Position(3.5, 2.5));

//functions yet to be defined are pawn,rook,knight,bishop,queen,king,endOfGame;
void display(char chessboard[8][8],char state[8][8]){
	
	int i,j;
	
		for(i=0;i<8;i++)
		{	for(j=0;j<8;j++)
			{	string s;
				s+=chessboard[i][j];
				if(state[i][j]=='a')
				s+='a';
				else if((i+j)%2==0)
				s+='w';
				else
				s+='b';
				s+=".xpm";
				BitMap piece(Chess);
				piece.Load(s);
		 		assert(piece.GetStatus()==BitMapOkay);
				piece.SetPosition(Position(j*piece.GetWidth(),i*piece.GetWidth()));
				piece.Draw();
				for(int i=0;i<9;i++)
	 			{		 Chess.RenderLine(Position(i*piece.GetWidth(),0.0), Position(i*piece.GetWidth(),8.0*piece.GetWidth()),Green,0.15);
				 		 Chess.RenderLine(Position(0.0,i*piece.GetWidth()), Position(8.0*piece.GetWidth(),i*piece.GetWidth()),Green,0.15);   
     		       }
						
}
		}
		}
int endOfGame3(char cb[8][8],char state[8][8],char ch)
{return 0;
}



bool isSmall(char a)
{	if(a>=97 && a<=122)
	return true;
	else return false;
}

bool isCapital(char a)
{
	if(a>=65 && a<=90)
	return true;
	else return false;
}

void pawn(char cb[8][8],char state[8][8],char chance,int i,int j)
{	int count=0;
	if(chance=='w')
	{ if(j+1<8 && (cb[i-1][j+1]>=97 && cb[i-1][j+1]<=122))
		{
			count ++;
			state[i-1][j+1]='a';
		}
	  if(j-1>=0 && (cb[i-1][j-1]>=97 && cb[i-1][j-1]<=122))
		{
			count ++;
			state[i-1][j-1]='a';
		}
	  if(cb[i-1][j]=='0')
	  	{
	  		count++;
	  		state[i-1][j]='a';
	  		if(i==6 && cb[i-2][j]=='0')
            {       count++;
	  		        state[i-2][j]='a';
            }
	  	}
	  if(count>0)
	  state[i][j]='a';
	  return;
	  }
	 if(chance=='b')
	 { if(j+1<8 && (cb[i+1][j+1]>=65 && cb[i+1][j+1]<=90))
		{
			count ++;
			state[i+1][j+1]='a';
		}
	  if(j-1>=0 && (cb[i+1][j-1]>=65 && cb[i+1][j-1]<=90))
		{
			count ++;
			state[i+1][j-1]='a';
		}
	  if(cb[i+1][j]=='0')
	  	{
	  		count++;
	  		state[i+1][j]='a';
	  		if(i==1 && cb[i+2][j]=='0')
	  		{       count++;
	  		        state[i+2][j]='a';
            }
	  	}
	  if(count>0)
	  state[i][j]='a';
	  return;
	  }
}

void rook(char cb[8][8],char state[8][8],char chance,int i,int j)
{
	int k=0;
	k=j+1;
	int count=0;
	while(k<8 && cb[i][k]=='0')
	{
		state[i][k]='a';
		count++;
		k++;
	}
	if(k<8)
	{	if(chance=='w' && isSmall(cb[i][k]))
		{
			state[i][k]='a';
			count ++;
		}
		else if(chance=='b' && isCapital(cb[i][k]))
		{
			state[i][k]='a';
			count ++;
		}
	}
	
	k=j-1;
	
	while(k>=0 && cb[i][k]=='0')
	{
		state[i][k]='a';
		count++;
		k--;
	}
	if(k>=0)
	{	if(chance=='w' && isSmall(cb[i][k]))
		{
			state[i][k]='a';
			count ++;
			}
		else if(chance=='b' && isCapital(cb[i][k]))
		{
			state[i][k]='a';
			count ++;
			}
	}
	
	k=i+1;
	
	while(k<8 && cb[k][j]=='0')
	{
		state[k][j]='a';
		count++;
		k++;
	}
	if(k<8)
	{	if(chance=='w' && isSmall(cb[k][j]))
		{
			state[k][j]='a';
			count ++;
		}
		else if(chance=='b' && isCapital(cb[k][j]))
		{
			state[k][j]='a';
			count ++;
		}
	}
	
	k=i-1;
	
	while(k>=0 && cb[k][j]=='0')
	{
		state[k][j]='a';
		count++;
		k--;
	}
	if(k>=0)
	{	if(chance=='w' && isSmall(cb[k][j]))
		{
			state[k][j]='a';
			count ++;
			}
		else if(chance=='b' && isCapital(cb[k][j]))
		{
			state[k][j]='a';
			count ++;
			}
	}
	
	if(count>0)
	state[i][j]='a';
	return;
}

void bishop(char cb[8][8],char state[8][8],char chance,int i,int j)
{
	int count=0,k=1;
	while(i+k<8 && j+k<8)
	{	if(chance=='w')
		{
			if(isSmall(cb[i+k][j+k]))
			{	
				state[i+k][j+k]='a';
				count++;
				break;
			}
			else if(isCapital(cb[i+k][j+k]))
			break;
			else
			{
				state[i+k][j+k]='a';
				count++;
			}
			k++;
		}
		else if(chance=='b')
		{
			if(isCapital(cb[i+k][j+k]))
			{	
				state[i+k][j+k]='a';
				count++;
				break;
			}
			else if(isSmall(cb[i+k][j+k]))
			break;
			else
			{
				state[i+k][j+k]='a';
				count++;
			}
			k++;
		}
			
	}
	k=1;
	while(i+k<8 && j-k>=0)
	{	if(chance=='w')
		{	if(isSmall(cb[i+k][j-k]))
			{
				state[i+k][j-k]='a';
				count ++;
				break;
			}
			else if(isCapital(cb[i+k][j-k]))
			break;
			else
			{
				state[i+k][j-k]='a';
				count++;
			}
			k++;
		}
		else if(chance=='b')
		{	if(isCapital(cb[i+k][j-k]))
			{
				state[i+k][j-k]='a';
				count ++;
				break;
			}
			else if(isSmall(cb[i+k][j-k]))
			break;
			else
			{
				state[i+k][j-k]='a';
				count++;
			}
			k++;
		}	
	}
	k=1;
	while(i-k>=0 && j+k<8)
	{	if(chance=='w')
		{	
			if(isSmall(cb[i-k][j+k]))
			{
				state[i-k][j+k]='a';
				count++;
				break;
			}
			else if(isCapital(cb[i-k][j+k]))
			break;
			else
			{
				state[i-k][j+k]='a';
				count++;
			}
			k++;
		}	
		else if(chance=='b')
		{	
			if(isCapital(cb[i-k][j+k]))
			{
				state[i-k][j+k]='a';
				count++;
				break;
			}
			else if(isSmall(cb[i-k][j+k]))
			break;
			else
			{
				state[i-k][j+k]='a';
				count++;
			}
			k++;
		}	
	}
	k=1;
	while(i-k>=0 && j-k>=0)
	{	if(chance=='w')
		{	
			if(isSmall(cb[i-k][j-k]))
			{
				state[i-k][j-k]='a';
				count++;
				break;
			}
			else if(isCapital(cb[i-k][j-k]))
			break;
			else
			{
				state[i-k][j-k]='a';
				count++;
			}
			k++;
		}
		else if(chance=='b')
		{	
			if(isCapital(cb[i-k][j-k]))
			{
				state[i-k][j-k]='a';
				count++;
				break;
			}
			else if(isSmall(cb[i-k][j-k]))
			break;
			else
			{
				state[i-k][j-k]='a';
				count++;
			}
			k++;
		}
	}
	if(count>0)
	state[i][j]='a';
	return;	
}

void queen(char cb[8][8],char state[8][8],char chance,int i,int j)
{
	bishop(cb,state,chance,i,j);
	rook(cb,state,chance,i,j);
	return;
}
	
void knight(char cb[8][8],char state[8][8],char chance,int i,int j)
{	int count=0;
	if(chance=='w')
	{	
		if((i+2<8 && j+1<8) && (cb[i+2][j+1]=='0' || isSmall(cb[i+2][j+1])))
		{	count++;
			state[i+2][j+1]='a';
		}
		if((i+2<8 && j-1>=0) && (cb[i+2][j-1]=='0' || isSmall(cb[i+2][j-1])))
		{	count++;
			state[i+2][j-1]='a';
		}
		if((i-2>=0 && j+1<8) && (cb[i-2][j+1]=='0' || isSmall(cb[i-2][j+1])))
		{	count++;
			state[i-2][j+1]='a';
		}
		if((i-2>=0 && j-1>=0) && (cb[i-2][j-1]=='0' || isSmall(cb[i-2][j-1])))
		{	count++;
			state[i-2][j-1]='a';
		}
		if((i+1<8 && j+2<8) && (cb[i+1][j+2]=='0' || isSmall(cb[i+1][j+2])))
		{	count++;
			state[i+1][j+2]='a';
		}
		if((i+1<8 && j-2>=0) && (cb[i+1][j-2]=='0' || isSmall(cb[i+1][j-2])))
		{	count++;
			state[i+1][j-2]='a';
		}
		if((i-1>=0 && j+2<8) && (cb[i-1][j+2]=='0' || isSmall(cb[i-1][j+2])))
		{	count++;
			state[i-1][j+2]='a';
		}
		if((i-1>=0 && j-2>=0) && (cb[i-1][j-2]=='0' || isSmall(cb[i-1][j-2])))
		{	count++;
			state[i-1][j-2]='a';
		}
		if(count>0) state[i][j]='a';
	}
	if(chance=='b')
	{	
		if((i+2<8 && j+1<8) && (cb[i+2][j+1]=='0' || isCapital(cb[i+2][j+1])))
		{	count++;
			state[i+2][j+1]='a';
		}
		if((i+2<8 && j-1>=0) && (cb[i+2][j-1]=='0' || isCapital(cb[i+2][j-1])))
		{	count++;
			state[i+2][j-1]='a';
		}
		if((i-2>=0 && j+1<8) && (cb[i-2][j+1]=='0' || isCapital(cb[i-2][j+1])))
		{	count++;
			state[i-2][j+1]='a';
		}
		if((i-2>=0 && j-1>=0) && (cb[i-2][j-1]=='0' || isCapital(cb[i-2][j-1])))
		{	count++;
			state[i-2][j-1]='a';
		}
		if((i+1<8 && j+2<8) && (cb[i+1][j+2]=='0' || isCapital(cb[i+1][j+2])))
		{	count++;
			state[i+1][j+2]='a';
		}
		if((i+1<8 && j-2>=0) && (cb[i+1][j-2]=='0' || isCapital(cb[i+1][j-2])))
		{	count++;
			state[i+1][j-2]='a';
		}
		if((i-1>=0 && j+2<8) && (cb[i-1][j+2]=='0' || isCapital(cb[i-1][j+2])))
		{	count++;
			state[i-1][j+2]='a';
		}
		if((i-1>=0 && j-2>=0) && (cb[i-1][j-2]=='0' || isCapital(cb[i-1][j-2])))
		{	count++;
			state[i-1][j-2]='a';
		}
		if(count>0) state[i][j]='a';
	}
	return;
}

void king(char cb[8][8],char state[8][8],char chance,int i,int j)
{
	int k,l;
	int count=0;
	for(k=i-1;k<=i+1;k++)
	{
		for(l=j-1;l<=j+1;l++)
		{	
			if(k>=0 && k<8 && l>=0 && l<8)
			{	if(chance=='w' && (isSmall(cb[k][l]) || cb[k][l]=='0'))
				{	count++;
					state[k][l]='a';
				}
				else if(chance=='b' && (isCapital(cb[k][l]) || cb[k][l]=='0'))
				{	count++;
					state[k][l]='a';
				}
			}
		}
	}
	if(count>0)
	state[i][j]='a';
	return;
}	
			
			
void initialize(char chessboard[8][8],char state[8][8])//function to set the initial state of the chessboard
{
	chessboard[0][0]=chessboard[0][7]='r';
	chessboard[7][0]=chessboard[7][7]='R';
	chessboard[0][1]=chessboard[0][6]='n';
	chessboard[7][1]=chessboard[7][6]='N';
	chessboard[0][2]=chessboard[0][5]='b';
	chessboard[7][2]=chessboard[7][5]='B';
	chessboard[0][3]='q';
	chessboard[7][3]='Q';
	chessboard[0][4]='k';
	chessboard[7][4]='K';
	for(int i=0;i<8;i++)
	{
		chessboard[1][i]='p';
		chessboard[6][i]='P';
		}
	for(int i=2;i<=5;i++)
	for(int j=0;j<8;j++)
	chessboard[i][j]='0';
	for(int i=0;i<8;i++)
	for(int j=0;j<8;j++)
	state[i][j]='o';
	return;
}

void computePiecesAllowed(char cb[8][8],char state[8][8],char chance)/*displays the chessboard in its current state along with
allowed pieces which can be moved corresponding to which player's turn it is*/
{
	int i,j,k,l;
	for(i=0;i<8;i++)
	{
		for(j=0;j<8;j++)
		{
			if(chance=='w')
			{
				switch(cb[i][j])
				{
				case 'P': pawn(cb,state,chance,i,j);break;
				case 'R': rook(cb,state,chance,i,j);break;
				case 'N': knight(cb,state,chance,i,j);break;
				case 'B': bishop(cb,state,chance,i,j);break;
				case 'Q': queen(cb,state,chance,i,j);break;
				case 'K': king(cb,state,chance,i,j);break;
				default:break;
				}
			}
			else if(chance=='b')
			{
				switch(cb[i][j])
				{
				case 'p': pawn(cb,state,chance,i,j);break;
				case 'r': rook(cb,state,chance,i,j);break;
				case 'n': knight(cb,state,chance,i,j);break;
				case 'b': bishop(cb,state,chance,i,j);break;
				case 'q': queen(cb,state,chance,i,j);break;
				case 'k': king(cb,state,chance,i,j);break;
				default:break;
				}
			}
		}
	}
	
	return;
}

void resetAllowed(char chessboard[8][8],char state[8][8],char chance)// resets the state of the chessboard to its original state
{
	for(int i=0;i<8;i++)
	{	for(int j=0;j<8;j++)
		{state[i][j]='o';
		}
	}
	return;
}

void displayMovesAvailable(char cb[8][8],char state[8][8],char chance,int i,int j)//displays the moves that are allowed for a corresponding piece
{	
	if(chance=='w')
			{
				switch(cb[i][j])
				{
				case 'P': pawn(cb,state,chance,i,j);break;
				case 'R': rook(cb,state,chance,i,j);break;
				case 'N': knight(cb,state,chance,i,j);break;
				case 'B': bishop(cb,state,chance,i,j);break;
				case 'Q': queen(cb,state,chance,i,j);break;
				case 'K': king(cb,state,chance,i,j);break;
				default:break;
				}
			}
	else if(chance=='b')
			{
				switch(cb[i][j])
				{
				case 'p': pawn(cb,state,chance,i,j);break;
				case 'r': rook(cb,state,chance,i,j);break;
				case 'n': knight(cb,state,chance,i,j);break;
				case 'b': bishop(cb,state,chance,i,j);break;
				case 'q': queen(cb,state,chance,i,j);break;
				case 'k': king(cb,state,chance,i,j);break;
				default:break;
				}
			}
	return;
}

void change(char chessboard[8][8],char state[8][8],char *chance,int a,int b,int c,int d)//changes the state of the chessboard as desired by the user and also whose turn it is next
{
	chessboard[c][d]=chessboard[a][b];
	if(!(c==a && d==b))
	{
		chessboard[a][b]='0';
	 	if(*chance=='b')
	 	*chance='w';
	 	else
	 	*chance='b';
	}
	if(chessboard[c][d]=='P' && c==0)
	{
                             switch(d)
                             {		
                                      case 0:case 7: chessboard[c][d]='R';break;
                                      case 1:case 6: chessboard[c][d]='N';break;
                                      case 2:case 5: chessboard[c][d]='B';break;
                                      case 3:case 4: chessboard[c][d]='Q';break;
                                      default:break;
                             }
     }
     if(chessboard[c][d]=='p' && c==7)
	{
                             switch(d)
                             {			
                                      case 0:case 7: chessboard[c][d]='r';break;
                                      case 1:case 6: chessboard[c][d]='n';break;
                                      case 2:case 5: chessboard[c][d]='b';break;
                                      case 3:case 4: chessboard[c][d]='q';break;
                                      default:break;
                             }
     }
                             
	return;
}

void resetAllowedPieces(char chessboard[8][8],char state[8][8],char chance)// resets the state of the chessboard to its state when only the pieces allowed to be moved are highlighted
{
	for(int i=0;i<8;i++)
	{	for(int j=0;j<8;j++)
		{       if(chance=='w' && !isCapital(chessboard[i][j]))
                state[i][j]='o';
                if(chance=='b' && !isSmall(chessboard[i][j]))
                state[i][j]='o';
		}
	}
	return;
}


void copy(char a[8][8],char b[8][8])
{
for(int i=0;i<8;i++)
for(int j=0;j<8;j++)
a[i][j]=b[i][j];
}
int isInCheck(char chessboard[8][8],char statecopy[8][8],char chance)
{
char cb[8][8],state[8][8];
copy(cb,chessboard);
copy(state,statecopy);
int ans=0;
int i,j,a,b;
if(chance=='w')
{	chance='b';
	for(i=0;i<8;i++)
	{
		for(j=0;j<8;j++)
		{ if(cb[i][j]=='K')
			{a=i;b=j;}
		}
	}
	for(i=0;i<8;i++)
	{
		for(j=0;j<8;j++)
		{
			computePiecesAllowed(cb,state,chance);
			resetAllowedPieces(cb,state,chance);
			if(state[i][j]=='a')
			{
			                    displayMovesAvailable(cb,state,chance,i,j);
			                    if(state[a][b]=='a')
			                    {                   ans=1;
			                                        return ans;
                        		}
		                    	resetAllowed(cb,state,chance);
			}
		}
	}
}
else if(chance=='b')
{	chance='w';
	for(int i=0;i<8;i++)
	{
		for(int j=0;j<8;j++)
		{ if(cb[i][j]=='k')
			{a=i;b=j;}
		}
	}
	for(int i=0;i<8;i++)
	{
		for(int j=0;j<8;j++)
		{
			computePiecesAllowed(cb,state,chance);
			resetAllowedPieces(cb,state,chance);
			if(state[i][j]=='a')
			{   displayMovesAvailable(cb,state,chance,i,j);
			    if(state[a][b]=='a')
		     	{                   ans=1;
       	                            return ans;
		       	}
			}
			resetAllowed(cb,state,chance);
		}
	}
}
return ans;
}

int isStillInCheck(char chessboard[8][8],char statecopy[8][8],char chance)
{
char cb[8][8],state[8][8];
copy(cb,chessboard);
copy(state,statecopy);
int ans=1,i,j,k,l;
if(chance=='w')
{for(i=0;i<8;i++)
	{
		for(j=0;j<8;j++)
		{
			computePiecesAllowed(cb,state,chance);
			resetAllowedPieces(cb,state,chance);
			if(state[i][j]=='a')
			{                   resetAllowed(cb,state,chance);
                                displayMovesAvailable(cb,state,chance,i,j);
                                char tempcb[8][8],tempstate[8][8];
			                    for(k=0;k<8;k++)
				                {               for(l=0;l<8;l++)
					                            {
					                            	if(state[k][l]=='a' &&!(k==i && l==j))
						                           {	copy(tempcb,cb);
						                           	    copy(tempstate,state);
						                            	change(tempcb,tempstate,&chance,i,j,k,l);
						            	                chance='w';
						            	                if(isInCheck(tempcb,tempstate,chance)==0)
						                               	return 0;
                                                   }
				                               	}
			                   	}
			}
			resetAllowed(cb,state,chance);
		}
	}
}
else if(chance=='b')
{for(i=0;i<8;i++)
	{
		for(j=0;j<8;j++)
		{
			computePiecesAllowed(cb,state,chance);
			resetAllowedPieces(cb,state,chance);
			if(state[i][j]=='a')
			{                   resetAllowed(cb,state,chance);
                                displayMovesAvailable(cb,state,chance,i,j);
                                char tempcb[8][8],tempstate[8][8];
			                    for(k=0;k<8;k++)
				                {               for(l=0;l<8;l++)
					                            {
					                            	if(state[k][l]=='a' &&!(k==i && l==j))
						                           {	copy(tempcb,cb);
						                           	    copy(tempstate,state);
						                            	change(tempcb,tempstate,&chance,i,j,k,l);
						            	                chance='b';
						            	                if(isInCheck(tempcb,tempstate,chance)==0)
						                               	return 0;
                                                   }
				                               	}
			                   	}
			}
			resetAllowed(cb,state,chance);
		}
	}
}			
return ans;
}
					
			
			

			
	
int endOfGame(char cb[8][8],char state[8][8],char chance)
{
if(isInCheck(cb,state,chance)==1 && isStillInCheck(cb,state,chance)==1)
return 1;
else if(isInCheck(cb,state,chance)==0 && isStillInCheck(cb,state,chance)==1)
return 2;
else
return 0;
}
int MouseClickEvent(const Position &p)
{	double xm=0.0,ym=0.0;
	BitMap piece(Chess);
	piece.Load("0a.xpm");
	assert(piece.GetStatus()==BitMapOkay);
	xm=p.GetYDistance();
	ym=p.GetXDistance();
	double i1=xm/piece.GetWidth(); 
	double j1=ym/piece.GetWidth();
	 while(endOfGame(chessboard,state,ch)==0)  
  {	 if(isValid1==0)
	{
	a=(int)i1;b=(int)j1;
	if(state[a][b]=='a')
	{isValid1=1;
  	resetAllowed(chessboard,state,ch);
  	displayMovesAvailable(chessboard,state,ch,a,b);
  	display(chessboard,state);
	BitMap piece(Chess);
				piece.Load("q1.xpm");
		 		assert(piece.GetStatus()==BitMapOkay);
				piece.SetPosition(Position(0,15));
				piece.Draw();
	return 1;
	}
	}
  	else if(isValid2==0)
  	{	
	
		c=(int)i1;d=(int)j1;
		if(state[c][d]=='a')
		{
		
		resetAllowed(chessboard,state,ch);
  		char copychance=ch;
  		char tempchessboard[8][8];
  		copy(tempchessboard,chessboard);
  		change(tempchessboard,state,&ch,a,b,c,d);
  		if(isInCheck(tempchessboard,state,copychance)==1)
  		{                                   if(copychance!=ch)
  											{BitMap piece(Chess);
											piece.Load("q3.xpm");
		 									assert(piece.GetStatus()==BitMapOkay);
											piece.SetPosition(Position(0,15));
											piece.Draw();
											}
										    ch=copychance;
   		}
   		else
  	 	{copy(chessboard,tempchessboard);
   		}
		done1=0;
   		if(endOfGame(chessboard,state,ch)==1 && ch=='b')
  		{   	done1=1;    
  				BitMap piece(Chess);
				piece.Load("q4.xpm");
		 		assert(piece.GetStatus()==BitMapOkay);
				piece.SetPosition(Position(0,15));
				piece.Draw();
                                             resetAllowed(chessboard,state,ch);
                                             display(chessboard,state);
   		}
  		else if(endOfGame(chessboard,state,ch)==1 && ch=='w')
  		{       done1=1;
  				BitMap piece(Chess);
				piece.Load("q5.xpm");
		 		assert(piece.GetStatus()==BitMapOkay);
				piece.SetPosition(Position(0,15));
				piece.Draw();  
												  resetAllowed(chessboard,state,ch);
  	                                              display(chessboard,state);
   		}	
   		else if(endOfGame(chessboard,state,ch)==2)
   		{       done1=1;
   				BitMap piece(Chess);
				piece.Load("q6.xpm");
		 		assert(piece.GetStatus()==BitMapOkay);
				piece.SetPosition(Position(0,15));
				piece.Draw();    
												  resetAllowed(chessboard,state,ch);
  	                                              display(chessboard,state);
   		}
		
		isValid1=0;
		a=b=c=d=-1;
		display(chessboard,state);
		if(done1==0)
		{if(isInCheck(chessboard,state,ch)==1)
   		 {      BitMap piece(Chess);
				piece.Load("q9.xpm");
		 		assert(piece.GetStatus()==BitMapOkay);
				piece.SetPosition(Position(0,15));
				piece.Draw(); }
		computePiecesAllowed(chessboard,state,ch);
  		resetAllowedPieces(chessboard,state,ch);
  		display(chessboard,state);
		done1=1;
		if(ch=='w')
		       { BitMap piece(Chess);
				piece.Load("q7.xpm");
		 		assert(piece.GetStatus()==BitMapOkay);
				piece.SetPosition(Position(0,15));
				piece.Draw();}
		else if(ch=='b')
		       { BitMap piece(Chess);
				piece.Load("q8.xpm");
		 		assert(piece.GetStatus()==BitMapOkay);
				piece.SetPosition(Position(0,15));
				piece.Draw();	}
		return 1;
	}
	}
  	}
	return 1;

}
return 1;
}
int ApiMainChess()//main function
{ Chess.Open();
  assert(Chess.GetStatus() == WindowOpen);
  done1=isValid1=isValid2=0;
	
  initialize(chessboard,state);
  computePiecesAllowed(chessboard,state,ch);
  	resetAllowedPieces(chessboard,state,ch);
  	display(chessboard,state);
				BitMap Piece(Chess);
				Piece.Load("q7.xpm");
		 		assert(Piece.GetStatus()==BitMapOkay);
				Piece.SetPosition(Position(0,15));
				Piece.Draw();
	done1=1;
	Chess.SetMouseClickCallback(MouseClickEvent);
  	return 0;
} 
int ApiEnd(){
	Chess.Close();
	return 0;
}
