#include <iostream>
#include <assert.h>
#include "bitmap.h"
#include <string>
#include "ezwin.h"
#include "position.h"
#include "chessi.cpp"
#include "minesweeperi.cpp"
#include "snakei.cpp"
using namespace std;
	SimpleWindow mainw("Games",20.0,20.0,Position(3.5,2.5));
	BitMap gpic1(mainw);
	BitMap gpic2(mainw);
	BitMap gpic3(mainw);
	
int decide(const Position &p)
{
if(gpic1.IsInside(p))
{
	mainw.Close();
	ApiMainChess();
}
else if(gpic2.IsInside(p))
{
	mainw.Close();
	ApiMainMinesweeper();
}
else if(gpic3.IsInside(p))
{
	mainw.Close();
	ApiMainSnake();
}
return 1;
}

int ApiMain()
{
	mainw.Open();
	assert(mainw.GetStatus()==WindowOpen);

	gpic1.SetPosition(Position(7.0,1.0));
	gpic2.SetPosition(Position(7.0,7.0));
	gpic3.SetPosition(Position(7.0,13.0));
	gpic1.Load("chess.xpm");
	gpic2.Load("mine.xpm");
	gpic3.Load("snake.xpm");
	assert(gpic1.GetStatus()==BitMapOkay);
	assert(gpic2.GetStatus()==BitMapOkay);
	assert(gpic3.GetStatus()==BitMapOkay);
	gpic1.Draw();
	gpic2.Draw();
	gpic3.Draw();
	mainw.SetMouseClickCallback(decide);
	}
	
