#include <assert.h>
#include "ezwin.h"
#include "bitmap.h"
#include <cstring>
#include <iostream>
#include <fstream>
#include <cstdio>
#include <cstdlib>
#include <cmath>
#include "circle.h"
#include<time.h>
#include<position.h>
using namespace std;

int movesnake();
int mouseclick(const Position &p);
int timerclick();
void foodcheck();
//srand (time(NULL)) ;


int food1=random()%10;
int food2=random()%10;
SimpleWindow w("Snake Returns", 28.0, 20.0, Position(0.0, 0.0));


int snake[30][2],ar[30][2],dr=0,k=0,colour=0;
int level=0, subLevel=0;
int delay=250;
char direction = 'R';
BitMap food(w);


int ApiMainSnake()
{
       snake[0][0]=1;
       snake[0][1]=1;
       snake[1][0]=2;
       snake[1][1]=1;
       snake[2][0]=2;
       snake[2][1]=3;
       cout<<endl<<endl<<"				INSTRUCTIONS"<<endl;
       cout<<"1. The input for the game has to be given by mouse only."<<endl<<"   eg. if the snake is moving leftwards then to turn up user should click above the snake and to turn down , click below the snake."<<endl;
       cout<<"2. The game ends when either the snake hits itself or to the walls."<<endl;
       do
      		 {
      		 cout<<"which level you want to play in(1/2/3/4/5/.....)??"<<endl;
      		 cin>>colour;
      		 }while(colour<1);
       w.Open();
       if(colour<6)
      		 {
      			  switch(colour)
      			  {
      			        
      			         case 1 : w.RenderRectangle(Position(0.0,0.0), Position(28.0,20.0),White,false);
        	                               break;
      			        
      			         case 2 : w.RenderRectangle(Position(0.0,0.0), Position(28.0,20.0),Green,false);
        	                               break;
      			        
      			         case 3 : w.RenderRectangle(Position(0.0,0.0), Position(28.0,20.0),Blue,false);
        	                               break;
      			        
      			         case 4 : w.RenderRectangle(Position(0.0,0.0), Position(28.0,20.0),Yellow,false);
      	                                 break;
      			  }
       		 }
       else 
       		w.RenderRectangle(Position(0.0,0.0), Position(28.0,20.0),White,false);

       food.Load("apple.xpm");
       food.SetPosition(Position(food1-0.5,food2-0.5));
       food.Draw();
       //CircleShape C (w, Position (food1,food2), Red, 1);           
      // C.Draw();
       w.SetMouseClickCallback(mouseclick); //taking the input from mouse
       w.SetTimerCallback(timerclick);//starting the timer and calling"timerClick" regularly

       w.StartTimer(delay/colour);
}

int mouseclick(const Position &p)
{
       //if the direction of the snake is up or down then to change it,following code works:
       if(direction=='U'|| direction=='D')
       {
               //if the mouse click is to the left of the snake, then turn left
               if(p.GetXDistance()<snake[0][0])
               {
                       direction='L';
               }
               //if the mouse click is to the right of the snake, then turn right
               else if(p.GetXDistance()>snake[0][0])
               {
                       direction='R';
               }
       }
       //if the direction of the snake is left or right then to change it,following code works:
       else
       {
               //if the mouse click is above the snake, then turn upwards
               if(p.GetYDistance()<snake[0][1])
               {
                       direction='U';
               }
               //if the mouse click is below the snake, then turn downwards
               else if(p.GetYDistance()>snake[0][1])
               {
                       direction='D';
               }
       }
       //move the snake
       int l= movesnake();
       return 0;
}

int timerclick()
{
       //call the following functions repeatedly after a certain time interval

	// w.RenderRectangle(Position(0.0,0.0), Position(28.0,20.0),Green,false);
       int l=movesnake();
       return 0;
}

int movesnake()
{
        if((snake[0][0]==0) || (snake[0][1]==0) || (snake[0][0]==28) ||(snake[0][1]==20))
        exit(1);
        for(int x=0;x<(1+subLevel);x++)
         {
         	   
         	   if(colour<5)
         	    {
         	     
         	     switch(colour)
         	     {
          
               	      case 1 : w.RenderLine(Position(snake[x][0],snake[x][1]),Position(snake[x+1][0],snake[x+1][1]),White,0.25);
         	                              break;
         
         	      case 2 : w.RenderLine(Position(snake[x][0],snake[x][1]),Position(snake[x+1][0],snake[x+1][1]),Green,0.25);
         	                              break;
         
         	      case 3 : w.RenderLine(Position(snake[x][0],snake[x][1]),Position(snake[x+1][0],snake[x+1][1]),Blue,0.25);
         	                              break;
         
         	      case 4 : w.RenderLine(Position(snake[x][0],snake[x][1]),Position(snake[x+1][0],snake[x+1][1]),Yellow,0.25);
         	                              break;
         	     }
         	    }
         	   else 
         	   w.RenderLine(Position(snake[x][0],snake[x][1]),Position(snake[x+1][0],snake[x+1][1]),White,0.25);
         }  
         //w.RenderLine(Position(snake[x][0],snake[x][1]),Position(snake[x+1][0],snake[x+1][1]),Green,0.25);
           //cout<<endl<<a[x][0]<<endl;
         //  w.RenderRectangle(Position(0.0,0.0), Position(28.0,20.0),Green,false);

        //Store the initial co-ordinates of head
         int tempX1,tempX2,tempY1,tempY2;
         tempX1=snake[0][0]; tempY1=snake[0][1];
         tempX2=snake[1][0]; tempY2=snake[1][1];
         //"for" loop to transfer the co-ordinates of a body part to the next body part
         for(int i=1;i<subLevel+2;i++)
         {
               snake[i][0]=tempX1; snake[i][1]=tempY1;
               tempX1=tempX2; tempY1=tempY2;
               tempX2=snake[i+1][0]; tempY2=snake[i+1][1];
        }


               snake[subLevel+2][0]=tempX1;snake[subLevel+2][1]=tempY1;


       switch(direction)
       {
               //if snake goes upwards
               case 'U' : snake[0][1]-=1;
                                       break;
               //if snake goes downwards
               case 'D' : snake[0][1]+=1;
                                       break;
               //if snake goes left
               case 'L' : snake[0][0]-=1;
                                       break;
               //if snake goes right
               case 'R' : snake[0][0]+=1;
                                       break;
       }



      
       for(int x=0;x<(1+subLevel);x++)
         { 
          	 w.RenderLine(Position(snake[x][0],snake[x][1]),Position(snake[x+1][0],snake[x+1][1]),Black,0.25);
          	 //cout<<endl<<a[x][0]<<endl;
          	 ar[dr][0]=snake[x][0];
          	 ar[dr][1]=snake[x][1];
          	 dr++;
          }
          // w.RenderRectangle(Position(0.0,0.0), Position(28.0,20.0),Green,false);

       for(int l=2;l<(subLevel);l++)
         {
                 if((ar[l][0]==ar[0][0])&& (ar[l][1]==ar[0][1]))
                 {
                 	   //cout<<a[l][0]<<endl<<a[0][0]<<endl<<a[l][1]<<endl<<a[0][1]<<endl<<d<<subLevel;
              		   exit(1);
                 }
         }

       for(int x=0;x<(1+subLevel);x++)
           {
     		      ar[dr][0]=-1;
     		      ar[dr][1]=-1;
     		      dr++;
           }
     
        dr=0;


        foodcheck();

        return 0;
}




void foodcheck()
{

 if((snake[0][0]==food1)&&(snake[0][1]==food2))                //checking if the snake has eaten the food
 {
       //CircleShape C1 (w, Position (food1,food2), White, 1);
	      // C1.Draw();
	      food.Erase();  //erase the food
	        if(colour<6)
	        {
        		switch(colour)
        		{
               		
               		case 1 : w.RenderRectangle(Position(0.0,0.0), Position(28.0,20.0),White,false);
                                       break;
               	
                        case 2 : w.RenderRectangle(Position(0.0,0.0), Position(28.0,20.0),Green,false);
                                       break;
               	
               		case 3 : w.RenderRectangle(Position(0.0,0.0), Position(28.0,20.0),Blue,false);
                                       break;
               	
               		case 4 : w.RenderRectangle(Position(0.0,0.0), Position(28.0,20.0),Yellow,false);
                                       break;
        		}
       		}
       		else 
      		        w.RenderRectangle(Position(0.0,0.0), Position(28.0,20.0),White,false);
       
       
      		 // food1=(random()%27)+1;
      		 // food2=(random()%19)+1;
      		srand ( time(NULL) );
    		food1=(rand()%24)+2;       //generate another random food position
    		food2=(rand()%16)+2;
    		food.SetPosition(Position(food1-0.5,food2-0.5));   
       		food.Draw();				//displaying the food in the new position

      		 //CircleShape C (w, Position (food1,food2), Red, 1);
      		 //     C.Draw();
      		subLevel= ++level;//increasing the length of snake if food is eaten
 }
}
