#include <iostream>
#include <assert.h>
#include "bitmap.h"
#include <string>
#include "ezwin.h"
#include "position.h"
using namespace std;

// Define  window
SimpleWindow Chess("Chess", 14.65, 16.85, Position(3.5, 2.5));


void display(char chessboard[8][8],char state[8][8]){
	
	int i,j;
	
		for(i=0;i<8;i++)
		{	for(j=0;j<8;j++)
			{	string s;
				s+=chessboard[i][j];
				if(state[i][j]=='a')
				s+='a';
				else if((i+j)%2==0)
				s+='w';
				else
				s+='b';
				s+=".xpm";
				BitMap piece(Chess);
				piece.Load(s);
		 		assert(piece.GetStatus()==BitMapOkay);
				piece.SetPosition(Position(j*piece.GetWidth(),i*piece.GetWidth()));
				piece.Draw();
				for(int i=0;i<9;i++)
	 			{		 Chess.RenderLine(Position(i*piece.GetWidth(),0.0), Position(i*piece.GetWidth(),8.0*piece.GetWidth()),Green,0.15);
				 		 Chess.RenderLine(Position(0.0,i*piece.GetWidth()), Position(8.0*piece.GetWidth(),i*piece.GetWidth()),Green,0.15);   
     		       }
						
}
		}
		}
