#include<iostream>
#include<time.h>
#include<cstdlib>
#include<stdio.h>
#pragma hdrstop
using namespace std;
class minesweeper
{
private:
	int mine[9][9],count,i,j,p,q,x,y,z;
	char nomine[9][9], me;
public:
	minesweeper()
	{	
	i=0;j=0;p=0;q=0;count=0,me='a';
	for(i=0; i<9; i++)
	{	for(j=0; j<9; j++)
		{	mine[i][j]=-1;
			nomine[i][j]='-';}
	}
}
	void mineinit();
	void display();
	int entry();
	void recur(int, int, int, int);
};



void minesweeper::mineinit(){
	int value,rem,quo;
	srand(time(0));
	for(i=0 ; i<10 ; i++)
	{
		value=rand()%81;
		rem=value%9;
		quo=value/9;
		mine[quo][rem]=9;
	}
	for(i=0 ; i<9 ; i++)
	{	for(j=0 ; j<9 ; j++)
		{
			if(mine[i][j]!=9)
			{
				for(p=i-1 ; p<i+2 ; p++)
				{ 
					for(q=j-1 ; q<j+2 ; q++)
					{
						if(p<0 || p>8 || q<0 || q>8)
						{continue;}
						if(mine[p][q]==9)
						{count++;}
					}
				}
				mine[i][j]=count;
			}
			count=0;
		}
	}
	
}

void minesweeper::display()
{
	
	for(i=0 ; i<9; i++)
	{
		for(j=0; j<9; j++)	
		{
				
			cout<<nomine[i][j]<<"\t";
		}
	cout<<endl<<endl;
	}	
	cout<<"Enter the position of the block to open"<<endl;
}

void minesweeper::recur(int a, int b, int u, int v)
{
	
	for(u=a-1 ; u<a+2 ; u++)
	{
		for(v=b-1 ; v<b+2 ; v++)
		{
			if(u<0 || u>8 || v<0 || v>8 || nomine[u][v]!='-')
			{	
				continue;
				}		
			nomine[u][v]=mine[u][v]+48;
			count++;
			
			if(nomine[u][v]=='0')
			{nomine[u][v]=' ';}
			
			if(mine[u][v]==0)
			{
								
							
				recur(u,v,0,0);
				
			}
		}
	}
	
}
int minesweeper::entry()
{
	
	cout<<endl;
				
		cin>>x>>y;
		if(nomine[x][y]=='-')
		{
		cout<<"Enter 1 for no mine and 0 for mine in that position";
		cin>>z;
		if(z==0)
		{
			nomine[x][y]='x';
			count++;
		}
		else if(z==1){
			
			if(mine[x][y]==9)
			{cout<<"Sorry, game over"<<endl<<endl;
				exit (0);}
			else if(mine[x][y]==0)
			{
				nomine[x][y]=' ';
				count++;				
				
				recur(x,y,0,0);
				
			}
					
			else
			{
				
				nomine[x][y]=mine[x][y]+48;
				count++;
			}
		}
		else
		{cout<<"Enter valid value for type of mine";
		}
		}
		else if(nomine[x][y]=='x')
		{
			nomine[x][y]='-';
			count--;
		}
		else
		{return -1;}		
	return (count);
}

int main()
{
	time_t start, end;
	
	double value;
	minesweeper ms;
	ms.mineinit();
	time(&start);
	do
	{
		system("clear");		
		ms.display();
		value=ms.entry();
		
	}while(value<81);
	time(&end);
	value=difftime(end, start);
	cout<<"COngratulations you won"<<endl<<"Your score is "<<value<<endl<<endl;
return 0;
}

