#include<iostream>
#include<time.h>
#include<cstdlib>
#include<stdio.h>
#pragma hdrstop
#include<ezwin.h>
#include<position.h>
#include<bitmap.h>
using namespace std;
SimpleWindow Mines("Minesweeper", 15.0, 22.0, Position(0.0, 0.0));
class minesweeper
{
public:
	int mine[9][9],count,i,j,p,q,x,y,z;
	char nomine[9][9], me;

	minesweeper()
	{	
	i=0;j=0;p=0;q=0;count=0,me='a';
	for(i=0; i<9; i++)
	{	for(j=0; j<9; j++)
		{	mine[i][j]=-1;
			nomine[i][j]='-';}
	}
}
	void mineinit();
	void display();
	int entry();
	void recur(int, int, int, int);
};



void minesweeper::mineinit(){
	int value,rem,quo;
	srand(time(0));
	for(i=0 ; i<10 ; i++)
	{
		value=rand()%81;
		rem=value%9;
		quo=value/9;
		mine[quo][rem]=9;
	}
	for(i=0 ; i<9 ; i++)
	{	for(j=0 ; j<9 ; j++)
		{
			if(mine[i][j]!=9)
			{
				for(p=i-1 ; p<i+2 ; p++)
				{ 
					for(q=j-1 ; q<j+2 ; q++)
					{
						if(p<0 || p>8 || q<0 || q>8)
						{continue;}
						if(mine[p][q]==9)
						{count++;}
					}
				}
				mine[i][j]=count;
			}
			count=0;
		}
	}
	
}

void minesweeper::display()
{
	
	for(i=0 ; i<9; i++)
	{
		for(j=0; j<9; j++)	
		{
				
			cout<<nomine[i][j]<<"\t";
		}
	cout<<endl<<endl;
	}	
	cout<<"Enter the position of the block to open"<<endl;
}

void minesweeper::recur(int a, int b, int u, int v)
{
	
	for(u=a-1 ; u<a+2 ; u++)
	{
		for(v=b-1 ; v<b+2 ; v++)
		{
			if(u<0 || u>8 || v<0 || v>8 || nomine[u][v]!='-')
			{	
				continue;
				}		
			nomine[u][v]=mine[u][v]+48;
			count++;
			
			if(nomine[u][v]=='0')
			{nomine[u][v]=' ';}
			
			if(mine[u][v]==0)
			{
								
							
				recur(u,v,0,0);
				
			}
		}
	}
	
}
int minesweeper::entry()
{
	
		
	return (count);
}
void display1(char abc[9][9])
{
int i,j;
for(i=0;i<9;i++)
{
	for(j=0;j<9;j++)
	{
		string s;
		s+=abc[i][j];
		s+=".xpm";
		BitMap pic(Mines);
		pic.load(s);
		assert(pic.GetStatus()==BitMapOkay);
		pic.SetPosition(Position(j*pic.GetWidth(),i*pic.GetWidth()));
		pic.Draw();
	}
}
}
int ApiMain()
{	int x,y,z;
	time_t start, end;
	
	double value;
	minesweeper ms;
	ms.mineinit();
	time(&start);
	Mines.Open();
	do
	{
		system("clear");		
		ms.display();
		display1(ms.nomine);
		cout<<endl;
				
		cin>>x>>y;
		if(ms.nomine[x][y]=='-')
		{
		cout<<"Enter 1 for no mine and 0 for mine in that position";
		cin>>z;
		if(z==0)
		{
			ms.nomine[x][y]='x';
			ms.count++;
		}
		else if(z==1){
			
			if(ms.mine[x][y]==9)
			{cout<<"Sorry, game over"<<endl<<endl;
				exit (0);}
			else if(ms.mine[x][y]==0)
			{
				ms.nomine[x][y]=' ';
				ms.count++;				
				
				ms.recur(x,y,0,0);
				
			}
					
			else
			{
				
				ms.nomine[x][y]=ms.mine[x][y]+48;
				ms.count++;
			}
		}
		else
		{cout<<"Enter valid value for type of mine";
		}
		}
		else if(ms.nomine[x][y]=='x')
		{
			ms.nomine[x][y]='-';
			ms.count--;
		}
		
		
	}while(value<81);
	time(&end);
	value=difftime(end, start);
	cout<<"COngratulations you won"<<endl<<"Your score is "<<value<<endl<<endl;
return 0;
}

